{
  description = "plapkit";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs: inputs.flake-parts.lib.mkFlake { inherit inputs; } {
    systems = [ "x86_64-linux" "aarch64-linux" ];
    perSystem = { config, self', pkgs, lib, system, ... }: rec {
      devShells.default = import ./shell.nix { inherit pkgs; };

      packages.default = pkgs.buildGoModule {
        name = "plapkit";
        src = ./.;
        vendorHash = "sha256-YY7Hj7lSq7vEoMEIu/zmweWzd7p7KF+4YCUX2SJ7kwI=";
      };

      packages.container = pkgs.dockerTools.buildImage {
        name = "plapkit";
        config = {
          Cmd = [ "${packages.default}" ];
        };
      };
    };
  };
}